//
//  MenuTableViewController.m
//  SWTabBar
//
//  Created by Patrick BODET on 24/03/2016.
//  Copyright © 2016 Patrick BODET. All rights reserved.
//

#import "AppDelegate.h"
#import "SWRevealViewController.h"
#import "MenuTableViewController.h"
#import "ViewController1.h"

@interface MenuTableViewController ()

@property(strong, nonatomic) ViewController1 *viewController1;

@end

@implementation MenuTableViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    // Uncomment the following line to preserve selection between presentations.
    // self.clearsSelectionOnViewWillAppear = NO;
    
    // Uncomment the following line to display an Edit button in the navigation bar for this view controller.
    // self.navigationItem.rightBarButtonItem = self.editButtonItem;
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return 4;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"Cell" forIndexPath:indexPath];
    
    // Configure the cell...
    switch (indexPath.row) {
        case 0:
        case 1:
            cell.textLabel.text = [NSString stringWithFormat:@"View Controller %ld", (long)indexPath.row + 1];
            break;
            
        case 2:
            cell.textLabel.text = @"Settings";
            break;
            
        case 3:
            cell.textLabel.text = @"WKWebView";
            break;
            
        default:
            break;
    }
    return cell;
}

#pragma mark - Table view delegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    [tableView deselectRowAtIndexPath:indexPath animated:YES];
    UIStoryboard *storyBoard = [UIStoryboard storyboardWithName:@"Main" bundle:nil];
    UIViewController *controller;
    switch (indexPath.row) {
            case 0:
        {
            if (!_viewController1) {
                self.viewController1 = [storyBoard instantiateViewControllerWithIdentifier:@"ViewController1"];
            }
            controller = _viewController1;
        }
            break;
            
            case 1:
        {
            controller = [storyBoard instantiateViewControllerWithIdentifier:@"ViewController2"];
        }
            break;
            
            case 2:
        {
            [[UIApplication sharedApplication] openURL:[NSURL URLWithString:UIApplicationOpenSettingsURLString]];
        }
            break;
            
            case 3:
        {
            //[[UIApplication sharedApplication] openURL:[NSURL URLWithString:@"prefs:root=WIFI"]];
            controller = [storyBoard instantiateViewControllerWithIdentifier:@"WKWebViewController"];
        }
            break;
            
        default:
            break;
    }
    if (controller) {
        UINavigationController *nc = [[UINavigationController alloc] initWithRootViewController:controller];
        nc.delegate = (AppDelegate *)[[UIApplication sharedApplication]delegate];
        [self.revealViewController pushFrontViewController:nc animated:YES];
    }
}

@end
