//
//  ViewController1.m
//  SWWebView
//
//  Created by Patrick BODET on 19/05/2016.
//  Copyright © 2016 iDevelopper. All rights reserved.
//

#import <SafariServices/SafariServices.h>
#import "AppDelegate.h"
#import "WebViewController.h"
#import "WKWebViewController.h"
#import "ViewController1.h"

@interface ViewController1 ()

@property (weak, nonatomic) IBOutlet UIBarButtonItem *revealButton;

@end

@implementation ViewController1

- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.navigationController.delegate = (AppDelegate *)[[UIApplication sharedApplication]delegate];

    self.revealViewController.draggableBorderWidth = 50;
    self.revealViewController.delegate = self;

    // Only on the first front view, it will works on others too
    [self.revealViewController tapGestureRecognizer];
    [self.revealViewController panGestureRecognizer];
    //
    
    [self.revealButton setTarget: self.revealViewController];
    [self.revealButton setAction: @selector( revealToggle: )];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#define IOS9_OR_ABOVE   ([[[UIDevice currentDevice] systemVersion] floatValue] >= 9.0)

- (IBAction)safari:(UIButton *)sender {
    if (IOS9_OR_ABOVE) {
        NSURL *url = [NSURL URLWithString:@"http://www.bbr.com/"];
        SFSafariViewController *safariViewController = [[SFSafariViewController alloc]initWithURL:url];
        [self presentViewController:safariViewController animated:YES completion:nil];
    }
}

- (IBAction)wkWebView:(id)sender {
    UIStoryboard *storyBoard = [UIStoryboard storyboardWithName:@"Main" bundle:nil];
    WKWebViewController *vc = [storyBoard instantiateViewControllerWithIdentifier:@"WKWebViewController"];
    [self.navigationController pushViewController:vc animated:YES];
}

#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    if ([segue.identifier isEqualToString:@"ShowWebView"]) {
        WebViewController *vc = [segue destinationViewController];
        vc.url = [NSURL URLWithString:@"http://www.bbr.com/"];
    }
}

- (BOOL)revealController:(SWRevealViewController *)revealController tapGestureRecognizerShouldRecognizeSimultaneouslyWithGestureRecognizer:(UIGestureRecognizer *)otherGestureRecognizer {
    return NO;
}

- (BOOL)revealController:(SWRevealViewController *)revealController panGestureRecognizerShouldRecognizeSimultaneouslyWithGestureRecognizer:(UIGestureRecognizer *)otherGestureRecognizer {
    return YES;
}

@end
