//
//  WKWebViewController.m
//  SWWebView
//
//  Created by Patrick BODET on 26/09/2016.
//  Copyright © 2016 iDevelopper. All rights reserved.
//

#import "WKWebViewController.h"
#import "SWRevealViewController.h"

@interface WKWebViewController ()

@property (nonatomic) WKWebView *webview;

@end

@implementation WKWebViewController

- (void)loadView {
    [super loadView];

    self.webview = [[WKWebView alloc] init];
    _webview.navigationDelegate = self;
    self.view = _webview;
}

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    NSURL *url = [NSURL URLWithString:@"http://google.com"];
    NSURLRequest *request = [NSURLRequest requestWithURL:url];
    [_webview loadRequest:request];
    
    UITapGestureRecognizer *tapGestureRecognizer = [[UITapGestureRecognizer alloc] initWithTarget:self action:@selector(handleTap:)];
    tapGestureRecognizer.delegate = self;
    [_webview.scrollView addGestureRecognizer:tapGestureRecognizer];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)handleTap:(UITapGestureRecognizer *)recognizer {
    if (recognizer.state == UIGestureRecognizerStateEnded) {
        [self.revealViewController setFrontViewPosition:FrontViewPositionLeft animated:YES];
    }
}

- (BOOL)gestureRecognizer:(UIGestureRecognizer *)gestureRecognizer shouldRecognizeSimultaneouslyWithGestureRecognizer:(UIGestureRecognizer *)otherGestureRecognizer {
    return YES;
}

@end
