//
//  WebViewController.m
//  SWWebView
//
//  Created by Patrick BODET on 18/05/2016.
//  Copyright © 2016 iDevelopper. All rights reserved.
//

#import "SWRevealViewController.h"
#import "WebViewController.h"

@interface WebViewController ()

@property (weak, nonatomic) IBOutlet UIBarButtonItem    *revealButton;

@property (weak, nonatomic) IBOutlet UIWebView          *webView;
@property (weak, nonatomic) IBOutlet UIBarButtonItem    *backButtonItem;
@property (weak, nonatomic) IBOutlet UIBarButtonItem    *fowardButtonItem;
@property (weak, nonatomic) IBOutlet UIBarButtonItem    *refreshButtonItem;
@property (weak, nonatomic) IBOutlet UIBarButtonItem    *stopButtonItem;

@end

@implementation WebViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
//    UIImageView *imageView = [[UIImageView alloc] initWithImage:[UIImage imageNamed:@"Title"]];
//    self.navigationItem.titleView = imageView;

    [self.revealButton setTarget: self.revealViewController];
    [self.revealButton setAction: @selector( revealToggle: )];

    _webView.delegate = self;

    NSURLRequest *request = [NSURLRequest requestWithURL:_url cachePolicy:NSURLRequestReloadIgnoringCacheData timeoutInterval:10.];
    [_webView loadRequest:request];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}
- (IBAction)back:(id)sender {
    [self.navigationController popViewControllerAnimated:YES];
}

#pragma mark - <UIWebviewDelegate>

- (void)webView:(UIWebView *)webView didFailLoadWithError:(NSError *)error
{
    [self updateToolbarItems];
    
    NSString *message = error.localizedDescription;
    UIAlertController *alert = [UIAlertController alertControllerWithTitle:NSLocalizedString(@"Erreur", @"")
                                                                   message:message
                                                            preferredStyle:UIAlertControllerStyleAlert];
    
    UIAlertAction *cancelAction = [UIAlertAction actionWithTitle:NSLocalizedString(@"OK",@"") style:UIAlertActionStyleDefault
                                                         handler:^(UIAlertAction * action) {}];
    [alert addAction:cancelAction];
    
    [self presentViewController:alert animated:YES completion:nil];
}

- (void)webViewDidStartLoad:(UIWebView *)webView
{
    // starting the load, show the activity indicator in the status bar
    [UIApplication sharedApplication].networkActivityIndicatorVisible = YES;
    
    [self performSelector:@selector(updateToolbarItems) withObject:nil afterDelay:1.];
}

- (void)webViewDidFinishLoad:(UIWebView *)webView
{
    // finished loading, hide the activity indicator in the status bar
    [UIApplication sharedApplication].networkActivityIndicatorVisible = NO;
    
    [self performSelector:@selector(updateToolbarItems) withObject:nil afterDelay:1.];
}

- (IBAction)goBack:(id)sender {
    [_webView goBack];
}

- (IBAction)goFoward:(id)sender {
    [_webView goForward];
}

- (IBAction)reload:(id)sender {
    [_webView reload];
}

- (IBAction)stop:(id)sender {
    [_webView stopLoading];
    [self updateToolbarItems];
}

- (void)updateToolbarItems {
    _backButtonItem.enabled = _webView.canGoBack;
    _fowardButtonItem.enabled = _webView.canGoForward;
    _refreshButtonItem.enabled = _webView.isLoading ? NO : YES;
    _stopButtonItem.enabled = _webView.isLoading ? YES : NO;
}

@end
